168c:001c ath5k phy0: gain calibration timeout after Kernel Upgrade

Bug #610440 reported by Jan on 2010-07-27
184
This bug affects 33 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I had this Problem before in the 2.6.23-22 Kernel. It was fixed in the 2.6.23-23 Kernel. But when I upgraded to the new 2.6.23-24 kernel this problem appeared again.
The Problem is:
When I run the Laptop in battery mode, the Atheros AR5007EG does not work. I cannot connect to any wireless network (No Networks found) and the CPU Usage of "phy0" is 100% for 5 seconds or so. This repeats every 60 seconds or so. The kernel says:
[ 4965.826400] __ratelimit: 4 callbacks suppressed
[ 4965.826411] ath5k phy0: gain calibration timeout (2412MHz)
[ 4966.214049] ath5k phy0: gain calibration timeout (2417MHz)
[ 4966.613874] ath5k phy0: gain calibration timeout (2422MHz)
[ 4967.019620] ath5k phy0: gain calibration timeout (2427MHz)
[ 4967.412090] ath5k phy0: gain calibration timeout (2432MHz)
[ 4967.813742] ath5k phy0: gain calibration timeout (2437MHz)
[ 4968.209652] ath5k phy0: gain calibration timeout (2442MHz)
[ 4968.597072] ath5k phy0: gain calibration timeout (2447MHz)
[ 4968.981426] ath5k phy0: gain calibration timeout (2452MHz)
[ 4969.391974] ath5k phy0: gain calibration timeout (2457MHz)

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-24-generic 2.6.32-24.38
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-24.38-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-24-generic x86_64
NonfreeKernelModules: fglrx
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jan 2065 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xcf5fc000 irq 16'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:11c11040,11790001,00100200 HDA:10ec0268,1179ff0c,00100003'
   Controls : 13
   Simple ctrls : 8
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xcfeec000 irq 19'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100000'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Tue Jul 27 15:00:38 2010
HibernationDevice: RESUME=UUID=dba2847f-27e5-455a-bef7-a47d6e220281
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: TOSHIBA Satellite A210
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=c2892d65-cc72-4ca3-8e70-d1010a303afb ro quiet vga=795 crashkernel=384M-2G:64M,2G-:128M quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=de_DE.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34.1
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 01/15/2010
dmi.bios.vendor: TOSHIBA
dmi.bios.version: V2.30
dmi.board.name: IALAA
dmi.board.vendor: TOSHIBA
dmi.board.version: 1.00
dmi.chassis.asset.tag: *
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnTOSHIBA:bvrV2.30:bd01/15/2010:svnTOSHIBA:pnSatelliteA210:pvrPSAELE-03Q015GR:rvnTOSHIBA:rnIALAA:rvr1.00:cvnTOSHIBA:ct10:cvrN/A:
dmi.product.name: Satellite A210
dmi.product.version: PSAELE-03Q015GR
dmi.sys.vendor: TOSHIBA

Jan (mrstrauss94) wrote :
Jan (mrstrauss94) wrote :

Now I regocnized the bug in the 2.6.32-23 Kernel...

Jan (mrstrauss94) wrote :

I cannot work on my system with thiis bug. I can't connect to any wireless network and with the heavy cpu usage it is impssible to work or listen to music.

Jan (mrstrauss94) wrote :

Sorry for the doubleposts...The bug does NOT exist in the .32-23 kernel!

Kamil Rowiński (spajderix) wrote :

Happend to me as well on 2.6.32-25-generic Ubuntu 10.04. Although I could not reproduce this, it happened when i booted up on battery and plugged power just before logging into gnome. No wireless networks available and process phy0 firing around every minute and taking up all processor time, it almost freeze up system, making it unusable. My specs: AMD Turion x2 1.8Ghz, nvidia 7000M, 3GB RAM, Atheros AR5001 Wireless Adapter.

Martin (martinnnxd) wrote :

I'm also having this exact issue, I had it back in beta of 10.04 so I reverted to 9.10, and how i'm having it again. It seems to be affected by temperature, if I have my laptop on my bed or lap it seems to drop faster. If on the desk it has been known to last over night.
Here is a dmesg I took just after the wifi dropped earlier: http://pastie.org/1188738

As the author stated, it's impossible to maintain productivity with such an unreliable connection and is a real inconvenience, but I really like the native iPhone support in 10.04 so would like to try get it fixed.

Thanks,

Martin

Jan (mrstrauss94) wrote :

This bug is still there in 10.10 -.-
Wifi worked up to the 2.6.23-21 kernel...
This really sucks and I cannot work with my laptop without a lan cable and the CPU usage of 100% sucks!

Jan (mrstrauss94) wrote :

It is even worse in 10.10 -.-

Keiran230 (keiransplint) wrote :

I have the same problem on the Toshiba Satellite A215-S4697.
2.6.32-25-generic kernel, x86_64 build, Ubuntu 10.04
This happened immediately after updating the kernel with Update Manager.

Small differences:
1. Although the problem does start when I work on battery, occasionally the problem will also occur while on AC power.
2. Along with this error, the TTY terminals also spam "ath5k phy0: noise floor calibration timeout," alternating between the errors.
3. The problem once didn't occur while on battery, but I have yet to re-create it.

Download full text (60.9 KiB)

I am having the same problem: Hardware AR5007EG (lspci says AR5001), Asus F3Ke laptop. It sometimes connects, and sometimes doesn't.
Was still good with the 2.6.31-rt kernel which was available in 10.04, but not anymore in 10.10.
The interesting thing is that lshw is always the same when it is bad, and always the same when it is good. I will attach my lspci, lshw-good and lshw-bad and the difference between the lshw's.

uname -r:
2.6.35-22-generic

----------------------------------------------------

lspci:
00:00.0 Host bridge: ATI Technologies Inc RS690 Host Bridge
00:02.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Graphics Port 0)
00:04.0 PCI bridge: ATI Technologies Inc Device 7914
00:05.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Port 1)
00:06.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Port 2)
00:07.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Port 3)
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 14)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon X2300
06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
07:00.0 Ethernet controller: Atheros Communications Inc. AR5001 Wireless Network Adapter (rev 01)
08:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
08:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
08:01.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
08:01.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)

---------------------------------------------------------------------------------------------------------------

Diff between lshw-bad and lshw-good:
188c188
< configuration: broadcast=yes driver=ath5k driverversion=2.6.35-22-generic firmware=N/A latency=0 link=no multicast=yes wireless=IEEE 802.11bg
---
> configuration: broadcast=yes driver=ath5k driverversion=2.6.35-22-generic firmware=N/A ip=[R...

Kamil Rowiński (spajderix) wrote :

Small update on my situation: I connected via wifi and worked a bit on my laptop. Then i was asked to check some newly mounted rj-45 plugs, so i disconnected from wifi and connected to internet via rj-45 cable a few times. When i wanted to go back to using wifi, NetworkManager showed no wifi available, same goes for iwlist scan fired from root terminal. There was no high la, or high processor use, but saw this in my syslog:

Nov 5 12:17:57 spajderix-laptop kernel: [11286.568092] __ratelimit: 5 callbacks suppressed
Nov 5 12:17:57 spajderix-laptop kernel: [11286.568100] ath5k phy0: noise floor calibration timeout (2447MHz)
Nov 5 12:17:57 spajderix-laptop kernel: [11286.600069] ath5k phy0: noise floor calibration failed (2447MHz)
Nov 5 12:17:57 spajderix-laptop kernel: [11286.958746] ath5k phy0: gain calibration timeout (2452MHz)
Nov 5 12:17:58 spajderix-laptop kernel: [11287.286178] ath5k phy0: noise floor calibration timeout (2452MHz)
Nov 5 12:17:58 spajderix-laptop kernel: [11287.670505] ath5k phy0: gain calibration timeout (2457MHz)
Nov 5 12:17:58 spajderix-laptop kernel: [11287.997878] ath5k phy0: noise floor calibration timeout (2457MHz)
Nov 5 12:17:59 spajderix-laptop kernel: [11288.378358] ath5k phy0: gain calibration timeout (2462MHz)
Nov 5 12:17:59 spajderix-laptop kernel: [11288.703625] ath5k phy0: noise floor calibration timeout (2462MHz)
Nov 5 12:17:59 spajderix-laptop kernel: [11289.090785] ath5k phy0: gain calibration timeout (2467MHz)
Nov 5 12:18:00 spajderix-laptop kernel: [11289.419970] ath5k phy0: noise floor calibration timeout (2467MHz)
Nov 5 12:18:02 spajderix-laptop kernel: [11291.748648] __ratelimit: 5 callbacks suppressed
Nov 5 12:18:02 spajderix-laptop kernel: [11291.748658] ath5k phy0: noise floor calibration timeout (2427MHz)
Nov 5 12:18:06 spajderix-laptop kernel: [11295.280901] ath5k phy0: gain calibration timeout (2412MHz)
Nov 5 12:18:06 spajderix-laptop kernel: [11295.608287] ath5k phy0: noise floor calibration timeout (2412MHz)
Nov 5 12:18:06 spajderix-laptop kernel: [11295.998745] ath5k phy0: gain calibration timeout (2417MHz)
Nov 5 12:18:07 spajderix-laptop kernel: [11296.326227] ath5k phy0: noise floor calibration timeout (2417MHz)
Nov 5 12:18:07 spajderix-laptop kernel: [11296.720505] ath5k phy0: gain calibration timeout (2422MHz)
Nov 5 12:18:07 spajderix-laptop kernel: [11297.047979] ath5k phy0: noise floor calibration timeout (2422MHz)
Nov 5 12:18:08 spajderix-laptop kernel: [11297.430569] ath5k phy0: gain calibration timeout (2427MHz)
Nov 5 12:18:08 spajderix-laptop kernel: [11297.757963] ath5k phy0: noise floor calibration timeout (2427MHz)
Nov 5 12:18:08 spajderix-laptop kernel: [11298.140669] ath5k phy0: gain calibration timeout (2432MHz)

After reboot everything went back to normal.
uname -a: Linux spajderix-laptop 2.6.32-25-generic #45-Ubuntu SMP Sat Oct 16 19:52:42 UTC 2010 x86_64 GNU/Linux
My specs: AMD Turion x2 1.8Ghz, nvidia 7000M, 3GB RAM, Atheros AR5001 Wireless Adapter.

Ivo Cavalcante (iscc) wrote :

Guys,

Same here, although in my case things happen somewhat diffent. I have a rock solid connection, no problems at all, except when I do a suspend/resume cycle. Very often, when my machine returns, I can't connect to my router and I experiment all of the simptoms already noted here, same messages and all. Another difference is that I can't get the wireless back by simply rebooting - I need a hard boot (power off/on) to get the thing working again.

My machine is an AMD-based laptop - lspci attached. Using 10.10 amd64, fresh install. Something else I can help, please let me know.

Dear Ivo Cavalcante,

You are in fact describing my exact problem, not different at all. (I also have an Asus laptop - F3Ke)

kapkara (cembozok) wrote :

no working possible with this bug! really annoying. (Asus Laptop)

Xavi Valls (vallsxavier) wrote :

Same problem here:

05:00.0 Ethernet controller: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter (rev 01)

Oct 17 20:23:50 ubuntu kernel: [ 78.609316] ath5k phy1: noise floor calibration timeout (2412MHz)
Oct 17 20:23:52 ubuntu kernel: [ 81.275199] ath5k phy1: noise floor calibration timeout (2412MHz)
Oct 17 20:23:54 ubuntu kernel: [ 82.806949] ath5k phy1: noise floor calibration timeout (2412MHz)
Oct 17 20:23:55 ubuntu kernel: [ 84.342803] ath5k phy1: noise floor calibration timeout (2412MHz)
Oct 17 20:23:58 ubuntu kernel: [ 86.284718] ath5k phy1: noise floor calibration timeout (2412MHz)
Oct 17 20:23:58 ubuntu kernel: [ 86.649484] ath5k phy1: noise floor calibration timeout (2412MHz)
Oct 17 20:23:59 ubuntu kernel: [ 88.233875] ath5k phy1: noise floor calibration timeout (2412MHz)

Brad Figg (brad-figg) on 2010-12-04
tags: added: acpi-brightness
tags: added: acpi-no-handler
tags: added: acpi-parse-exec-fail
tags: added: acpi-apic
Matteo Settenvini (tchernobog) wrote :
Download full text (3.9 KiB)

Started happening today with a Natty (11.04) update from kernel 2.6.37-12.26 to 2.6.38-1.27.
This is a regression since going back to the previous kernel fixes the problem.
System mostly unusable due to very high spikes every few seconds.

-----

root@orchid:/var/log/ConsoleKit# lspci -nn
00:00.0 Host bridge [0600]: ATI Technologies Inc RD790 Northbridge only dual slot PCI-e_GFX and HT3 K8 part [1002:5956]
00:04.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port A) [1002:597a]
00:05.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port B) [1002:597b]
00:07.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port D) [1002:597d]
00:09.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port E) [1002:597e]
00:0a.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port F) [1002:597f]
00:0b.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (external gfx1 port A) [1002:5980]
00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA Controller [IDE mode] [1002:4390]
00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397]
00:12.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398]
00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396]
00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397]
00:13.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398]
00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396]
00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 3c)
00:14.1 IDE interface [0101]: ATI Technologies Inc SB700/SB800 IDE Controller [1002:439c]
00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384]
00:14.5 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller [1002:4399]
00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration [1022:1200]
00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Address Map [1022:1201]
00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller [1022:1202]
00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control [1022:1203]
00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Link Control [1022:1204]
01:00.0 USB Controller [0c03]: NEC Corporation uPD720200 USB 3.0 Host Controller [1033:0194] (rev 03)
02:00.0 IDE interface [0101]: Marvell Technology Group Ltd. Device [1b4b:91a3] (rev 11)
03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
04:00.0 Ethernet controller [0200]: Realtek Semiconduc...

Read more...

teachop (teachop) wrote :

This is happening in Natty Alpha 2 on Acer Aspire 3100 also. This computer has worked with other versions. It is bad enough that the computer can only be used by disabling wireless "Flight Mode", due to the lags. And of course no wireless either way. Example from dmesg:

[ 9802.523606] ath5k phy0: gain calibration timeout (2422MHz)
[ 9803.037864] ath5k phy0: gain calibration timeout (2427MHz)
[ 9803.559724] ath5k phy0: gain calibration timeout (2432MHz)
[ 9804.080083] ath5k phy0: gain calibration timeout (2437MHz)
[ 9804.590107] ath5k phy0: gain calibration timeout (2442MHz)
[ 9805.098154] ath5k phy0: gain calibration timeout (2447MHz)

Sergey (hvmptydvmpty) wrote :

07:00.0 Ethernet controller: Atheros Communications Inc. AR5001 Wireless Network Adapter (rev 01)

Linux maurizio 2.6.38-2-generic #29-Ubuntu SMP Fri Feb 4 13:03:04 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Happening to me since the upgrade to kernel 2.6.38-1. 2.6.38-2 didn't fix it.

toby (tobycollier) wrote :

I didn't experience this until 2.6.38-2, but older kernels do not resolve the issue.

Drew (dawithers) wrote :

Same issue as Ivo above. 10.10 amd64 fresh install. Wifi sometimes stops working on suspend/resume as well as hibernate or reboot and throws these gain calibration timeout errors.

shishimaru (shishimaru) wrote :

Same issue with kernel 2.6.38!
Please, watch there too → https://bugs.launchpad.net/ubuntu/+source/linux/+bug/717392

Brad Figg (brad-figg) on 2011-04-06
Changed in linux (Ubuntu):
status: New → Confirmed
Litold (litold) wrote :

I will give you some further information about this issue.
This bug seems to affect the powernow-k8 driver in the Ubuntu Versions from 9.10 until 11.04
If I rember correctly Ubuntu 9.04 powernow-k8 was working.
This issue seems to have two main characteristics:

1) Most Atheros WLAN-Adapters stop working with "gain calibration timeout" at dmesg
2) Frequency-Scaling on AMD-Processors stops working at battery-mode -> Its stuck at the lowest frequency

This Bug is reproducable if one boots up with ac device plugged in and plugs off the ac-device.
-> After a short time wlan adaptor stops working and dmesg gives "gain calibration timeout" messages.
The other way round, boot up on battery , plug in ac-device the same bug occures.

There are some "workarounds"

1) The easiest thing is to power down the computer, remove the battery an power up again (Bug occures again from time to time)
2) Another Option is to disable powernow in Bios Settings. (No more WLAN-Bugs, but Frequency-Scaling is not working at battery and ac-mode)
3) Experimental: Some people have managed to get rid of this Bug by using the phc-k8 driver instead of powernow-k8
   There is a Ubuntu ppa for this driver att linux-phc.org The driver is mainly used for undervolting modifications.
   Look at https://bugs.archlinux.org/task/18982

Litold

kazzmir (rafkind) wrote :

Here is another workaround that has been working for me for the past 2 days.

Before suspend unload the ath5k module and reload on resume.
$ sudo modprobe -r ath5k
..hit suspend button..
..come back from suspend..
$ sudo modprobe ath5k

Probably these commands can be put into a script somewhere so they happen automatically but I don't know where that is.

Litold (litold) wrote :

So this is the way to solve it with linux-phc Kernel:

First add ppa for linux-phc Kernel:
sudo add-apt-repository ppa:linux-phc/ppa

Update the Repositories:
sudo apt-get update

No install the headers an the kernel itself
sudo apt-get install linux-headers-generic-phc
sudo apt-get install linux-generic-phc

Reboot your System with the phc-kernel (usualy the first entry in grub)
No you need to install the patched modules for your System

Download patched modules for AMD
http://www.linux-phc.org/forum/download/file.php?id=83

or INTEL
http://www.linux-phc.org/forum/download/file.php?id=94

unpack them eg to your home directory Before we can install them we need to do some bugfix.
The utsrelease-header-file is missing on this kernel so we create it by hand
sudo nano /usr/src/linux-headers-<your-version>-generic-phc/include/linux/utsrelease.h
where linux-header-<your-version>-generic-phc has to be your installed version eg linux-headers-2.6.35-28-generic-phc
insert into this file: #define UTS_RELEASE "2.6.35.28+drm33.5" (your version of course)
and no install the modules
sudo make dmks_install
Reboot again and hopefully no more gain calibration timeout

tags: removed: regression-potential
Litold (litold) wrote :

Another Way to fix ist:

add processor.ignore_ppc=1 to grub boot parameters

Lex Ross (lross) wrote :

I have this issue with the kernel 2.6.38-8-generic
The problem is observed when waking up from suspend to RAM (stand-by) mode.

I've had frequent "gain calibration timeout" messages and cpu frequency mismanagement (I thought so)..

the problem seems to be easier after I removed a carpet of dust from the ventilation output :)

i.e. "gain calibration timeout" after that happened just once (in ~3 days), and cpu frequency scaling works like expected.

Sebastian Schlatow (buzz-dee) wrote :

Hello, this problem also exists in ubuntu oneiric ocelot 11.10.

buzz-dee@buzzdee-laptop:~$ lsb_release -dr
Description: Ubuntu oneiric (development branch)
Release: 11.10

buzz-dee@buzzdee-laptop:~$ uname -a
Linux buzzdee-laptop 3.0.0-8-generic #11-Ubuntu SMP Fri Aug 12 20:23:58 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

milan (mlntdrv) wrote :

I think (at least from my observations) that these messages (both "gain calibration timeout" and "noise floor calibration timeout" appear when the electricity goes off. I do not know how this differs from simply plugging the power cord off, but plugging off does not reproduce the problem. Maybe the wireless AP also has to be plugged off in the same moment for thus error to occur.

Here is some of my system's chars:
Distributor ID: Ubuntu
Description: Ubuntu 10.04.3 LTS
Release: 10.04
Codename: lucid
Kernel: 2.6.32-34-generic

Jan, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: regression-update
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Jan (mrstrauss94) wrote :

I updated my Ubuntu one minute ago. And it still doesn't work. The current kernel is 3.0.0-17.generic.

Jan (mrstrauss94) wrote :

I am soory, I posted it too early, the bug is still there. :( I think it has something to do with the heat, when the Laptop becomes too hot and it runs on battery mode(which is kind of buggy, too), the WLAN Module ath5k stops working and this error comes up.

James Broadhead, please do not post forum links to this bug. If you are having an issue with your wireless in Ubuntu, please execute the following at the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: nadine 1807 F.... pulseaudio
 /dev/snd/pcmC0D0p: nadine 1807 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xf0500000 irq 16'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,1025009f,00100002 HDA:14f12bfa,1025009f,00090000'
   Controls : 32
   Simple ctrls : 17
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=4d45eb5a-5cfe-46c6-a5c6-ea9d89a301ed
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 002: ID 0a5c:2101 Broadcom Corp. Bluetooth Controller
 Bus 002 Device 003: ID 04f3:02f4 Elan Microelectronics Corp. 2.4G Cordless Mouse
MachineType: Acer TravelMate 5510
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=1b777987-9dd8-474a-9bc0-aa8734450ed9 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic N/A
 linux-backports-modules-3.2.0-24-generic N/A
 linux-firmware 1.79
SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-24-generic i686
UpgradeStatus: Upgraded to precise on 2012-04-28 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 08/22/2008
dmi.bios.vendor: Acer
dmi.bios.version: V3.13
dmi.board.name: Navarro
dmi.board.vendor: Acer
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrV3.13:bd08/22/2008:svnAcer:pnTravelMate5510:pvrV3.13:rvnAcer:rnNavarro:rvrN/A:cvnAcer:ct10:cvrN/A:
dmi.product.name: TravelMate 5510
dmi.product.version: V3.13
dmi.sys.vendor: Acer

tags: added: apport-collected precise

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

i hope the above helps. this also affects me on precise.

Daniel Kessel, please do not apport-collect to this report. Please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

tags: removed: apport-collected precise
Daniel Kessel (dkessel) wrote :

I am sorry for doing it this way.

By the way I tested the current upstream kernel (3.4 RC4 from today) and it seems to solve the problem. I hope this helps people waiting for a fix.

Daniel Kessel, please stop posting comments to this report. If you have a problem, please perform the actions requested in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/610440/comments/59 .

Changed in linux (Ubuntu):
importance: Undecided → Medium
pbruski (issglnahza) wrote :

It seems that the problem is indeed gone with 3.4.x - at least I haven't encountered it for the past two+ weeks after I've upgraded to 3.4.
Supposedly, the patches listed here: https://bbs.archlinux.org/viewtopic.php?pid=1084733#p1084733 fixed the problem.

summary: - ath5k phy0: gain calibration timeout after Kernel Upgrade
+ 168c:001c ath5k phy0: gain calibration timeout after Kernel Upgrade
Lex Ross (lross) wrote :

Sounds like 3.4 kernel fixes this issue indeed. Any chance of 3.4 kernel being officialy backported into Ubuntu 12.04 LTS or maybe 12.04.1 ships with kernel 3.4 as standard?

dino99 (9d9) wrote :

This version is now outdated and no more supported

Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.